
Redmine - Defect #12560

Issue roles and permissions

2012-12-10 23:18 - Alexey Tryapitsyn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello,

If I add user to project for several roles, I have incorrect permissons for him.

For ex.:

First role must has access only to own issues and can modify issues fields.

Second role must has access to all issues, but can NOT modify issues fields.

In result user has access to all issues, and can modify fields for all issues.

History

#1 - 2012-12-13 08:49 - Toshi MARUYAMA

- Category set to Accounts / authentication

#2 - 2012-12-13 13:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Sorry but this is not how it is supposed to work. Permissions on issue fields and issue visibility are independent. They apply to all issues the user is

allowed to access.
